
QGIS Application - Bug report #17788

QGIS 2.99 - crash when applying extrusion symbology to 3d view

2018-01-04 03:36 PM - Umberto Minora

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25684

Description

Trying to get a 3d view with the new dev version.

In the layer properties of a polygonal shapefile, I enter the 3d Map menu, activate 3d rendering and set the parameters extrusion to a

numeric field, altitude clamping to terrain, click to apply and QGIS crashes.

Attached is the shapefile I am using.

My version is in italian.

The report is below.

User Feedback

Report Details

Crash ID: 333c69e019367dd5f184c7bbd0fa4413b2e5b0f9

Stack Trace

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:626781a63a

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

2025-04-27 1/2



Related issues:

Duplicates QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22

History

#1 - 2018-01-08 05:05 PM - Martin Dobias

- Duplicates Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added

#2 - 2018-01-08 05:06 PM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

Closing as a duplicate as the symptoms and backtrace are the same as in #17315

Files

Buildings.zip 127 KB 2018-01-04 Umberto Minora
